# Generated from omniauth-openid-connector-1.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name omniauth-openid-connector

Name: rubygem-%{gem_name}
Version: 1.1.3
Release: 1%{?dist}
Summary: OpenID Connect Strategy MK2 for OmniAuth
License: MIT
URL: https://github.com/doberg/omniauth-openid-reconnect
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.4
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(mocha) >= 1.2
# BuildRequires: rubygem(mocha) < 2
# BuildRequires: rubygem(mocha) >= 1.2.1
# BuildRequires: rubygem(guard) >= 2.14
# BuildRequires: rubygem(guard) < 3
# BuildRequires: rubygem(guard) >= 2.14.1
# BuildRequires: rubygem(guard-minitest) >= 2.4
# BuildRequires: rubygem(guard-minitest) < 3
# BuildRequires: rubygem(guard-minitest) >= 2.4.6
# BuildRequires: rubygem(guard-bundler) >= 2.1
# BuildRequires: rubygem(guard-bundler) < 3
# BuildRequires: rubygem(guard-bundler) >= 2.1.0
# BuildRequires: rubygem(simplecov) >= 0.14.1
# BuildRequires: rubygem(simplecov) < 0.15
# BuildRequires: rubygem(pry) >= 0.10.4
# BuildRequires: rubygem(pry) < 0.11
# BuildRequires: rubygem(coveralls) >= 0.8.21
# BuildRequires: rubygem(coveralls) < 0.9
# BuildRequires: rubygem(faker) >= 1.8
# BuildRequires: rubygem(faker) < 2
# BuildRequires: rubygem(faker) >= 1.8.2
BuildArch: noarch

%description
OpenID Connect Strategy MK2 for OmniAuth which is fully compliant with devise
and rails and currently maintained. Derived from jjbohn's work which is not
actively maintained.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/omniauth-openid-connector.gemspec
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 1.1.3-1
- Initial package
